You are here
Home > vue

axios在IE浏览器中报错,不支持promise问题

vue 在使用IE10测试的时候, 控制台报错,因为IE浏览器不支持Promise对象。

可以利用插件’es6-promise’的polyfill()方法来实现兼容,具体步骤如下:

npm install -g es6-promise

在使用axios方法之前,导入es6-promise,并调用 polyfill()方法(本人将所有的异步请求放置在了vuex的actions对象中,所以是直接写在actions.js文件中),即:

import promise from 'es6-promise' ; 
promise.polyfill();
Top